import request from '@/utils/request'

export function getUnitPage(data) {
  return request({
    url: '/base-unit/page',
    method: 'get',
    params: data
  })
}

export function getUnitList(data) {
  return request({
    url: '/base-unit/list',
    method: 'post',
    data: data
  })
}

export function getUnitById(data) {
  return request({
    url: '/base-unit/listById',
    method: 'post',
    data: data
  })
}

export function addUnit(data) {
  return request({
    url: '/base-unit/add',
    method: 'post',
    data: data
  })
}

export function editUnit(data) {
  return request({
    url: '/base-unit/edit',
    method: 'post',
    data: data
  })
}

export function delUnit(data) {
  return request({
    url: '/base-unit/delete',
    method: 'post',
    data: data
  })
}
